Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core
Class EMFFormsSpreadsheetRendererFactoryImpl

    java.lang.Object
      org.eclipse.emfforms.internal.spreadsheet.core.EMFFormsSpreadsheetRendererFactoryImpl

All Implemented Interfaces:
  EMFFormsSpreadsheetRendererFactory

    public class EMFFormsSpreadsheetRendererFactoryImpl

extends Object
implements EMFFormsSpreadsheetRendererFactory

Implementation of the EMFFormsSpreadsheetRendererFactory.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsSpreadsheetRendererFactoryImpl()`

Method Summary
`void` | `addEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)` Adds an `EMFFormsSpreadsheetRendererService` to the list of available renderer.
`
`<VELEMENT extends VElement> EMFFormsAbstractSpreadsheetRenderer<VElement>`
` | `getRendererInstance(VELEMENT vElement, ViewModelContext viewModelContext)` Returns the renderer which fits the provided `VElement` and `ViewModelContext` the most.
`void` | `removeEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)` Removes an `EMFFormsSpreadsheetRendererService` from the list of available renderer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsSpreadsheetRendererFactoryImpl

    public EMFFormsSpreadsheetRendererFactoryImpl()

Method Detail

### addEMFFormsSpreadsheetRendererService

    public void addEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)

  Description copied from interface: `EMFFormsSpreadsheetRendererFactory`
  Adds an `EMFFormsSpreadsheetRendererService` to the list of available renderer.

  Specified by:
    `addEMFFormsSpreadsheetRendererService` in interface `EMFFormsSpreadsheetRendererFactory`
  Parameters:
    `spreadsheetRendererService` - The EMFFormsSpreadsheetRendererService to add

### removeEMFFormsSpreadsheetRendererService

    public void removeEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)

  Description copied from interface: `EMFFormsSpreadsheetRendererFactory`
  Removes an `EMFFormsSpreadsheetRendererService` from the list of available renderer.

  Specified by:
    `removeEMFFormsSpreadsheetRendererService` in interface `EMFFormsSpreadsheetRendererFactory`
  Parameters:
    `spreadsheetRendererService` - The EMFFormsSpreadsheetRendererService to remove

### getRendererInstance

    public <VELEMENT extends VElement> EMFFormsAbstractSpreadsheetRenderer<VElement> getRendererInstance(VELEMENT vElement,
                                                                                                         ViewModelContext viewModelContext)
                                                                      throws EMFFormsNoRendererException

  Returns the renderer which fits the provided `VElement` and `ViewModelContext` the most.

  Specified by:
    `getRendererInstance` in interface `EMFFormsSpreadsheetRendererFactory`
  Type Parameters:
    `VELEMENT` - The VElement type
  Parameters:
    `vElement` - the `VElement` to find the renderer for
    `viewModelContext` - the `ViewModelContext` to find the renderer for
  Returns:
    the renderer
  Throws:
    `EMFFormsNoRendererException` - is thrown when no renderer can be found
  See Also:
    `EMFFormsSpreadsheetRendererFactory.getRendererInstance(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.